[packages/phantomjs/dev-2.1: 5/9] script to branch diff for qtbase/qtwebkit

glen glen at pld-linux.org
Wed Mar 23 07:05:59 CET 2016


commit 9d30a84a782554ec31fe8c9c357fd1960c16e235
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Tue Mar 22 23:20:45 2016 +0200

    script to branch diff for qtbase/qtwebkit

 get-source.sh | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
---
diff --git a/get-source.sh b/get-source.sh
new file mode 100755
index 0000000..53926d7
--- /dev/null
+++ b/get-source.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+# Make branch diff of official qtbase and qtwebkit against phantomjs branch
+#
+# Author: Elan Ruusamäe <glen at pld-linux.org>
+set -e
+
+packages='qtbase qtwebkit'
+branch=5.5
+qt_base=git://code.qt.io/qt
+phantom_base=https://github.com/Vitallium
+tag=v5.5.1
+
+# refs of submodules
+# https://github.com/ariya/phantomjs/tree/2.1.1/src/qt
+phantom_qtbase=b5cc008
+phantom_qtwebkit=e7b7433
+
+fetch_package() {
+	local package=$1
+
+	# use the ref dir to save downloads
+	# it can be previous .git dir
+	# mv qtcore.git qtcore.git.ref
+	# mv qtwebkit.git qtwebkit.git.ref
+	local ref_dir=$package.git.ref
+	test -d $ref_dir || unset ref_dir
+
+	if [ ! -d $GIT_DIR ]; then
+		install -d $GIT_DIR
+		git init --bare
+		git remote add origin $qt_base/$package.git
+		git remote add phantom $phantom_base/$package.git
+	fi
+
+	git fetch --depth 1 origin +refs/tags/$tag:refs/tags/$tag
+
+	# don't know where the ref lives, fetch all
+	git fetch phantom
+}
+
+get_package() {
+	local package=$1 ref=$2
+	export GIT_DIR=$package.git
+	fetch_package $package
+	git diff $tag..$ref > $package.diff
+}
+
+get_package qtbase $phantom_qtbase
+get_package qtwebkit $phantom_qtwebkit
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/phantomjs.git/commitdiff/a82c74c1bebc21f1e68a4deede33d5d9c92de44c



More information about the pld-cvs-commit mailing list